#568 PEAR.php

Produces PHP errors
closed-invalid
Simon Dick
9
2002-04-12
2002-03-04
Anonymous
No

Squirrelmail 1.2.5 does not have compatibility in all
functions of php 4.1.x. I am using Squirrelmail 1.2.5
with php 4.1.2 and I am having problem when I use any
database to store users configurations. This is the
error that returns:

Fatal error: Cannot redeclare class pear in
/usr/local/lib/php/PEAR.php on line 69

I am using php as module.

Discussion

    • priority: 5 --> 7
    • assigned_to: nobody --> simond
     
  • Logged In: YES
    user_id=147248

    Assigning to simond -- can you verify and close/fix? Thanks!

     
    • priority: 7 --> 9
     
  • Simon Dick
    Simon Dick
    2002-04-12

    Logged In: YES
    user_id=30544

    I believe this to be a user side configuration problem as
    I've tried SquirrelMail with various versions from PHP 4.0
    up to 4.1.2 and I've never come across a problem like this,
    PEAR.php should be installed as part of PHP itself and if
    DB.php exists (as it apparently does) PEAR.php should be
    there too on a proper install

     
  • Simon Dick
    Simon Dick
    2002-04-12

    • status: open --> closed-invalid